#!/bin/sh -e
# /usr/lib/emacsen-common/packages/remove/tc-el

FLAVOR=$1
PACKAGE=tc-el
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el"

if [ ${FLAVOR} != emacs ]; then
#    if test -x /usr/sbin/install-info-altdir; then
#        echo remove/${PACKAGE}: removing Info links for ${FLAVOR}
#        install-info-altdir --quiet --remove --dirname=${FLAVOR} /usr/info/t-code.info.gz
#    fi
    echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
    rm -rf ${ELCDIR}
    rm -f ${STARTDIR}/95${STARTFILE}*
    echo " done."
fi
